Skip to main content

Retrieve a Neptune cluster

Returns a representation of the specified Neptune cluster.

Path Parameters
  • resource_id string required

    The Clumio-assigned ID of the resource.

Query Parameters
  • lookback_days int64

    Calculate backup status for the last lookback_days days.

Responses

Success


Schema
  • account_native_id string

    The AWS-assigned ID of the account associated with this resource.

  • aws_azs string[]

    The AWS availability zone(s) associated with the resource. For example, us-west-2a.

  • aws_region string

    The AWS region associated with this resource.

  • backup_status_info object

    The backup status information applied to this resource.

  • backup_status string

    BackupStatus is the status of the backup. Possible values are success, partial_success, failure, no_backup, and unknown. This value depends on lookback_days. If not specified, then this field has a value of unknown.

  • last_failed_policy_start_timestamp string

    The last failed policy start time. Represented in RFC-3339 format.

  • last_successful_policy_start_timestamp string

    The last successful policy start time. Represented in RFC-3339 format.

  • operation_info_list object[]

    The policy operation information of the backups.

  • backup_status string

    BackupStatus is the status of the backup. Possible values are success, partial_success, failure, no_backup, and unknown. This value depends on lookback_days. If not specified, then this field has a value of unknown.

  • last_failed_policy_start_timestamp string

    The last failed policy start time. Represented in RFC-3339 format.

  • last_successful_policy_start_timestamp string

    The last successful policy start time. Represented in RFC-3339 format.

  • operation string

    The policy operation type.

  • deletion_timestamp string

    The timestamp of when the RDS resource was deleted. Represented in RFC-3339 format. If the resource was not deleted, then this field has a value of null.

  • direct_assignment_policy_id string

    The Clumio-assigned ID of the policy directly assigned to the entity.

  • earliest_aws_snapshot_restorable_timestamp string

    The timestamp of the oldest AWS snapshot of the RDS resource. Represented in RFC-3339 format. If the resource has no available snapshots, then this field has a value of null.

  • engine string

    The database engine of the RDS resource. Possible values include postgres and mysql. For a full list of possible values, please refer to the AWS documentation at https://docs.aws.amazon.com/cli/latest/reference/rds/describe-db-engine-versions.html

  • engine_mode string

    The database engine mode of the RDS resource. Possible values include provisioned and serverless.

  • engine_version string

    The database engine version of the RDS resource. For example, 10.12.

  • environment_id string

    The Clumio-assigned ID of the AWS environment associated with this resource.

  • first_clumio_snapshot_timestamp string

    The timestamp of the first active backup of the database to Clumio. Represented in RFC-3339 format.

  • first_granular_backup_timestamp string

    The timestamp of the first active granular backup for the database. Represented in RFC-3339 format.

  • has_direct_assignment boolean

    Determines whether the table has a direct assignment.

  • id string

    The Clumio-assigned ID of the resource.

  • is_deleted boolean

    Determines whether an RDS resource is deleted.

  • is_encrypted boolean

    Determines whether an RDS resource is encrypted.

  • is_supported boolean

    Determines whether the RDS resource is supported for backups.

  • kms_key_native_id string

    The AWS-assigned ID of the KMS key encrypting this resource. If the resource is unencrypted, then this field has a value of null.

  • last_clumio_snapshot_timestamp string

    The timestamp of the last time this database was backed up to Clumio. Represented in RFC-3339 format.

  • last_granular_backup_timestamp string

    The timestamp of the last time this database had granular backup performed. Represented in RFC-3339 format.

  • latest_aws_snapshot_restorable_timestamp string

    The timestamp of the newest AWS snapshot of the RDS resource. Represented in RFC-3339 format. If the resource has no available snapshots, then this field has a value of null.

  • name string

    The AWS-assigned name of the RDS resource. For example, clumio-aurora-dev.

  • organizational_unit_id string

    The organizational unit to which this resource belongs.

  • protection_info object

    The protection policy applied to this resource. If the resource is not protected, then this field has a value of null.

  • inheriting_entity_id string

    The ID of the entity from which protection was inherited. If protection was not inherited, then this field has a value of null.

  • inheriting_entity_type string

    The type of entity from which protection was inherited. If protection was not inherited, then this field has a value of null.
    Entities from which protection can be inherited include the following:

    Inheriting Entity TypeDetails
    aws_tagAWS tag.
  • policy_id string

    A system-generated ID assigned to the policy protecting this resource.

  • protection_status string

    The protection status of the RDS resource. Possible values include protected, unprotected, and unsupported. If the RDS resource does not support backups, then this field has a value of unsupported. If the resource has been deleted, then this field has a value of null.

  • resource_native_id string

    The AWS-assigned ID of the RDS resource. For example, cluster-3WW6IXRWO5ZS4PTUIKGZEACISY.

  • security_group_native_ids string[]

    The AWS-assigned IDs of the security groups associated with this resource

  • size int64

    The size of the RDS resource. Measured in bytes (B).

  • subnet_group_name string

    The RDS subnet group name associated with this resource.

  • tags object[]

    The AWS tags associated with this RDS resource.

  • id string

    The Clumio-assigned ID of the AWS tag.

  • key string

    The AWS-assigned tag key.

  • key_id string

    The Clumio-assigned ID of the AWS key.

  • value string

    The AWS-assigned tag value.

  • type string

    The RDS resource type. Possible values include aws_rds_cluster and aws_rds_instance.

  • unsupported_reason string

    The reason why protection is not available on this RDS resource, if any. Possible values include rds_engine_oracle and rds_postgres_9_4. If the resource is supported, then this field has a value of null.

Loading...